GIMP Base Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# gimpversion

## Name

gimpversion -- Macros and constants useful for determining GIMP's version number and capabilities.

## Synopsis

    #define     GIMP_MAJOR_VERSION
    #define     GIMP_MINOR_VERSION
    #define     GIMP_MICRO_VERSION
    #define     GIMP_VERSION
    #define     GIMP_CHECK_VERSION              (major, minor, micro)

## Description

Macros and constants useful for determining GIMP's version number and capabilities.

## Details

### GIMP_MAJOR_VERSION

    #define GIMP_MAJOR_VERSION				(1)

### GIMP_MINOR_VERSION

    #define GIMP_MINOR_VERSION				(3)

### GIMP_MICRO_VERSION

    #define GIMP_MICRO_VERSION				(10)

### GIMP_VERSION

    #define GIMP_VERSION					"1.3.10"

### GIMP_CHECK_VERSION()

    #define     GIMP_CHECK_VERSION(major, minor, micro)

`major` : |
`minor` : |
`micro` : |

<<< Previous Page | Home | Up | Next Page >>>
gimpbasetypes | gimplimits